View Issue Details

IDProjectCategoryView StatusLast Update
0019386LazarusIDEpublic2012-03-17 13:35
ReporterAvishai Assigned ToVincent Snijders  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionno change required 
Product Version0.9.31 (SVN) 
Summary0019386: Add LeftToRight-RightToLeft Design-Time feature?
DescriptionSome Controls have a "String Editor Dialog" to edit strings at Design-Time, I.E. TListBox.Items. It is very clumsy typing RightToLeft text in LeftToRight mode. Would it be possible to add a RadioButton or something to the "String Editor Dialog" that would toggle it to RightToLeft mode? It isn't a big issue, but it would be nice.
Tagsbidi
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Relationships

related to 0019303 acknowledged BiDi meta issue 

Activities

Avishai

2011-05-28 09:05

reporter   ~0048667

I just discovered that CTRL+RightShift puts "String Editor Dialog" in RightToLeft mode (Windows 7). CTRL+LeftShift puts it in LeftToRight mode. Maybe add a note on the Form? I don't know if this works on other platforms.

Mattias Gaertner

2011-05-28 09:53

manager   ~0048670

Every widgetset has its own support for input control. I started a wiki entry:

http://wiki.lazarus.freepascal.org/BidiMode#BiDi_support_of_the_widgetsets

Avishai

2011-05-29 12:24

reporter   ~0048702

Last edited: 2011-05-29 12:59

Thank you Mattias Gaertner. I think this is a good idea. Your Wiki has been very informative for me. I am "Windows Only" so I have no way to test on other platforms. I was unsure of how things are on other OS's.

Zaher Dirkey

2011-06-25 16:53

reporter   ~0049397

Ctrl+Shift(L/R) founded in old Windows also not only Windows 7
But at design time we need in "String Editor Dialog" to edit Caption or Memo or Listbox items in Right align, it is not bad idea to put PopupMenu or button or checkbox to flip BidiMode of that control in "String Editor"

Avishai

2011-06-25 19:29

reporter   ~0049402

Thank you for your input Zaher. I have gotten used to CTRL+RightShift/LeftShift now so I don't have a problem. But for people that do not know about it, it is maddening. I agree that it would be nice to add something that would be obvious.

Vincent Snijders

2011-10-06 11:58

manager   ~0052624

As far as I am concerned, this is a won't fix. Lazarus should not sacrifice screen area to explain to users how their widget set works. There is also no hint like: "Press shift to type capitals instead of lower case characters".

Vincent Snijders

2012-03-13 14:27

manager   ~0057583

No further change required.

Issue History

Date Modified Username Field Change
2011-05-20 12:54 Avishai New Issue
2011-05-20 12:55 Avishai Tag Attached: bidi
2011-05-23 14:36 Juha Manninen Relationship added related to 0019303
2011-05-28 09:05 Avishai Note Added: 0048667
2011-05-28 09:53 Mattias Gaertner Note Added: 0048670
2011-05-29 12:24 Avishai Note Added: 0048702
2011-05-29 12:59 Avishai Note Edited: 0048702
2011-06-25 16:53 Zaher Dirkey Note Added: 0049397
2011-06-25 19:29 Avishai Note Added: 0049402
2011-10-06 11:58 Vincent Snijders LazTarget => -
2011-10-06 11:58 Vincent Snijders Note Added: 0052624
2011-10-06 11:58 Vincent Snijders Status new => feedback
2012-03-13 14:27 Vincent Snijders Status feedback => resolved
2012-03-13 14:27 Vincent Snijders Resolution open => no change required
2012-03-13 14:27 Vincent Snijders Assigned To => Vincent Snijders
2012-03-13 14:27 Vincent Snijders Note Added: 0057583
2012-03-17 13:35 Avishai Status resolved => closed